## debian-edu-router 2.12.3

=== debian/changelog ===
debian-edu-router (2.12.3) unstable; urgency=medium

  * debian/control: Add to D (d-e-r-c): procps (provides sysctl cmd).
    (Closes: #1030574).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 05 Feb 2023 21:28:34 +0100

debian-edu-router (2.12.2) unstable; urgency=medium

  * debian/debian-edu-router-config.postinst: Create directory /etc/sysctl.d
    before writing a file into it. (Closes: #1030359).
  * fai/config/files/lib/systemd/system/startup-shutdown-chiptune.service/
    GATEWAY: Add license header.
  * debian/copyright: Update copyright attributions.
  * debian/debian-edu-router-config.postrm: Assure purging of our sysctl config
    snippet.
  * lintian: Adjust line number in recursive-privilege-change override.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 04 Feb 2023 15:33:09 +0100

debian-edu-router (2.12.1) unstable; urgency=medium

  [ Daniel Teichmann ]
  * FAI: Move startup-shutdown-chiptune.service to /lib/systemd/system/ and
    execute fcopy on it.
  * bin/debian-edu-router-loginmenu.sh: Fix 'ITEM_REBOOT_REBOOTING_NOW'
    string.
  * po/de/LC_MESSAGES/debian-edu-router-config.po: Fix punctuation typo;
    update pot files.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 01 Feb 2023 12:25:04 +0100

debian-edu-router (2.12.0) unstable; urgency=medium

  * Initial release. (Closes: #1029988).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 29 Jan 2023 22:05:00 +0100
