## debian-edu-router 2.12.4

=== debian/changelog ===
debian-edu-router (2.12.4) unstable; urgency=medium

  [ Daniel Teichmann ]
  * debian/d-e-r-c.config: Replace old remnants of 'backbone' with 'mgmt'.
  * debian/d-e-r-c.templates: Fix typo in the 'Printers' DHCP example.
  * debian/d-e-r-c: Restrict the firewall so that you can no longer connect to
    other internal networks directly.
  * Makefile.debug: Add packages 'gpm' + 'ipv6calc'; Fix package 'ip4calc' ->
    'ipcalc'.
  * bin/debian-edu-router-loginmenu.sh: Add 'completely configure d-e-r' option.
  * fai/config/debconf/DEBIAN_EDU_ROUTER: Fix one of the debconf preseedings.
    (papercut).
  * debian/d-e-r-c.postinst: Refactor echo log-statements to 'debug_log' or
    'error_log' func calls.
  * debian/d-e-r-c.postinst: Rephrase port-is-already-in-use warning_log.
  * debian/d-e-r-c.postinst: If 'D_E_R_DEBUG' is set, don't just delete
    generated config files.
  * debian/d-e-r-c.{config,lintian-overrides}: Fix vlan template typo.
  * po/de: Update german language files.
  * po/: Execute ./update-pot.sh (Update language files).
  * debian/po/*: Execute debconf-updatepo (Update language files).
  * debian/po/de.po: Update german language files.
  * po/de/LC_MESSAGES/debian-edu-router-config.po: Make loginmenu strings more
    uniform.
  * debian/d-e-r-c.common: Add warning_log_stderr().
  * debian/d-e-r-c.config: Don't run preconfigure stage, because commons file
    is not yet ready.
  * debian/d-e-r-c.config: Wait for iface link to be up before continuing.
  * debian/d-e-r-c.config: Add set_all_available_ifaces_up() and add a little
    documentation.
  * debian/d-e-r-c.{config,templates}: Step-By-Step: Optimize Uplink interface
    gathering.
  * debian/d-e-r-c.config: Step-by-Step: Fix bug where iface could be empty for
    internal network iface matching.
  * debian/d-e-r-c.postinst: Remove leftover reference of removed template
    'debian-edu-router-config/net-connect-ext-iface-uplink'.

  [ Mike Gabriel ]
  * debian/debian-edu-router-config.templates: Shorten SHORT_DESCRIPTION fields
    to be under 78 chars long.
  * lintian: Drop too-long-short-description-in-templates overrides.
  * lintian: Adjust line numbers of some overrides.
  * debian/debian-edu-router-config.templates: Wrap too-long-lines in
    LONG_DESCRIPTION fields. (No change in the wording).
  * debian/po/templates.pot: Update file.
  * debian/po/: Update de.po.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 16 Feb 2023 08:03:50 +0100
