## debian-edu-router 2.12.7

=== debian/changelog ===
debian-edu-router (2.12.7) unstable; urgency=medium

  * d-e-r-c.postrm: Fix /etc/dnsmasq.d/ path name in comment.
  * debian/po/:
    + Update es.po. Thanks to Camaleón. (Closes: #1035682).
    + Update de.po.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 15 May 2023 23:47:17 +0200

debian-edu-router (2.12.6) unstable; urgency=medium

  [ Daniel Teichmann ]
  * debian/d-e-r-c.{config,templates}: Add debian-edu-router-config/service-ssh-
    custom-port dialog & template.
  * debian/d-e-r-c.postinst: Generate sshd + uif config files for custom SSH
    port.
  * debian/d-e-r-c.postrm: Purge d-e-r related SSH service config files.
  * debian/d-e-r-c.postinst: Generate uif service definition (SSH custom port).
  * debian/d-e-r-c.postinst: Don't generate firewall rules, if SSH service is
    disabled.
  * debian/d-e-r-c.postinst: Replace sshd with ssh for invoke-rc.d call.
  * debian/d-e-r-c.config: Make sure user doesn't accidentely quit the conf
    dialog when trying to backup…
  * debian/d-e-r-c.postinst: Make nosetup_reason2 message bold.

  [ Mike Gabriel ]
  * debian/po: Update nl.po. Thanks to Frans Spiesschaert. (Closes: #1033906).
  * debian/debian-edu-router-config.config: Grammar fix.
  * debian/debian-edu-router-config.templates: Add EOL at EOF.
  * debian/d-e-r-c.{config, postinst}: Selectively allow/block incoming SSH
    connections.
  * debian/debian-edu-router-config.config: White-space fixes.
  * debian/debian-edu-router-config.config: Fix wrong debconf screen numbers
    that got broken by cherry-picking.
  * debian/po: Add pt_BR translation. Thanks to Paulo Henrique de Lima Santana.
    (Closes: #1034029).
  * debian/debian-edu-router-config.postinst: Assure enabling of SSH service in
    case it got disabled beforehand.
  * debian/debian-edu-router-config.postinst: Use update-rc.d instead of
    systemctl for disabling ssh service.
  * debian/debian-edu-router-config.lintian-overrides: Update line number in
    recursive-privilege-change override. Add various update-rc.d override.
  * debian/po/: Update translation files.
  * debian/debian-edu-router-config.postinst: Silence stdout/stderr of
    update-rc.d. Thanks, lintian.
  * debian/debian-edu-router-config.postinst: Ignore failures of update-rc.d
    when (re-)enabling ssh service.
  * debian/debian-edu-router-fai.lintian-overrides: Silence false-positive
    lintian reports.
  * debian/po/: Update es.po. Thanks to Camaleón. (Closes: #1034706).
  * debian/d-e-r-config.{postinst,postrm}: Assure that /etc/ssh/sshd_config.d/
    exists when needed, purge it again if probably created by us.
  * debian/d-e-r-config.postrm: Purge /etc/dnsmasq.d/ again if probably
    created by us.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 26 Apr 2023 08:26:22 +0200

debian-edu-router (2.12.5) unstable; urgency=medium

  [ Daniel Teichmann ]
  * Makefile.iso: Split CHROOT_LOCATION via 'tr' to avoid possible
    'Union Directory' entries.
  * debian/d-e-r-c.postinst: Remove 'WARNING' from skip-network-setup msg to
    avoid it being shown at FAI installation.
  * debian/d-e-r-c.config: Remove old color codes and replace them with new
    color variables.
  * debian/d-e-r-c.config: Make bailout_on_too_many_failures() colorful.
  * {po/de.po, po/templates.pot, debian/d-e-r-config.templates}: Update
    translation.
  * debian/d-e-r-c.config: Make DNS nameserver question more reliable + support
    IPv6.
  * debian/d-e-r-c.config: IPv4 DNS NS's can provide IPv6 NS's and vice versa.
    So don't force both IPv4 and IPv6 nameservers.
  * debian/d-e-r-c.lintian-overrides: udevadm guard warning has been fixed.
  * debian/d-e-r-c.postrm: Set title to 'Debian Edu Router'.
  * debian/d-e-r-c.{templates,config,lintian-overrides}: Remove
    debian-edu-router-config/title.
  * debian/d-e-r-c.config: Add '|| true' guard to udevadm call. Thanks, Lintian.
  * debian/d-e-r-config.templates: Don't break '_Description:' line. Update
    translation.
  * po/{de.po,templates.pot}: Update template language files.

  [ Mike Gabriel ]
  * package_config/DEVELOPMENT.{asc -> gpg}: Rename file. Support for .asc files
    has been dropped in FAI.
  * fai/config/_obsolete-files.d/debian-edu-router-fai.removed: Mark
    package_config/DEVELOPMENT.asc as obsolete file.
  * bin/debian-edu-router-fai_instal: Mount /proc and /sys in nfsroot prior to
    creating/updating it. Those mountpoints are needed by dracut's 45url-libs
    module.
  * debian/copyright: Adjust for renamed DEVELOPMENT.{asc|gpg} file.
  * bin/debian-edu-router-fai_*: Drop support for Debian versions older than
    bullseye.
  * bin/debian-edu-router-fai_install: Drop non-free-firmware repo area if
    preparing a bullseye nfsroot.
  * conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/NFSROOT: Forward-port
    changes from NFSROOT in FAI 6.0.
  * conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/NFSROOT: Add libnss3.
    Required by dracut's 45url-libs module.
  * conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/apt/sources.list.in:
    Add non-free-firmware package repo area.
  * fai/config/package_config/: Temporarily stop using 'aptitude' installation
    type, switch to legacy 'install' (i.e. apt-get).
  * conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/nfsroot.conf.in: Drop
    '--include=aptitude' from FAI_DEBOOTSTRAP_OPTS. Not supported by FAI 6.0
    currently.
  * conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/nfsroot.conf.in: Add
    '--include=ca-certificates' to FAI_DEBOOTSTRAP_OPTS. For https deb-URLs it
    is vital to have ca-certificates already installed in FAI's base.tar.xz
    chroot tarball.
  * fai/config/package_config/FAIBASE: Drop libnss-sss and libpam-sss. (Remnant
    from Debian LAN which we used as a starting point).
  * conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/grub.cfg: Mark
    simultaneous DHCP discovery as experimental, not BROKEN. It has been working
    quite well during recent tests.

