## debian-edu-router 2.12.8~deb12u1

=== debian/changelog ===
debian-edu-router (2.12.8~deb12u1) bookworm; urgency=medium

  * Release to Debian bookworm.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 19 Nov 2023 12:20:51 +0100

debian-edu-router (2.12.8) unstable; urgency=medium

  [ Daniel Teichmann ]
  * debian/d-e-r-c.postinst: Fix dnsmasq conf generation for networks over VLAN.
  * debian/d-e-r-c.config: Fix QCOUNT typo. (Prevents always showing not-
    implemented dialog). (Closes: #1049329).
  * debian/d-e-r-c.postinst: Only generate UIF filter rules for SSH if 'Uplink'
    interface is defined. (Closes: #1050231).

  [ Mike Gabriel ]
  * Adjust script name in README and print output (d-e-r-faiinstall -> d-e-r-
    fai_install).
  * debian/po:
    + Add pt_BR translation. Thanks to Paulo Henrique de Lima Santana. (Closes:
      #1037129).
    + Add sv.po. Thanks to Peter Kvillegård. (Closes: #1049959).
    + Add nl.po. Thanks to Frans Spiesschaert. (Closes: #1041874).
  * lintian: Adjust file lines in overrides.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 11 Sep 2023 13:01:21 +0200
