=== debian/control ===
Source: debian-edu-router
Section: admin
Priority: optional
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>
Build-Depends: debhelper-compat (= 13)
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://wiki.debian.org/DebianEdu/Router
Vcs-Browser: https://salsa.debian.org/debian-edu/debian-edu-router
Vcs-Git: https://salsa.debian.org/debian-edu/debian-edu-router.git

Package: debian-edu-router-config
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ifupdown,
         iptraf,
         uif (>= 1.99.0-3~),
         vlan,
         iproute2,
         procps,
Recommends: dnsmasq,
            ipcalc,
            ipv6calc,
Conflicts: connman,
           firehol,
           ifupdown2,
           network-manager,
           netplan.io,
           shorewall,
           ufw,
Description: Debian Edu Router Configuration
 The Debian Edu Router project provides installation routines for
 setting up a network router for the Debian Edu system (or for other
 school networks).
 .
 Debian Edu Router uses FAI (Fully Automatic Installation) to install and
 configure the router system.
 .
 Debian Edu Router knows how to interact with the following school IT
 solutions:
 .
   - Debian Edu / Skolelinux
   - MNS+ (common solution of the German state of Rhineland-Palatinate)
 .
 This package is to be installed on the Debian Edu Router system. It provides
 dependencies, configuration files, and scripts for interacting with
 well-known school IT systems.

Package: debian-edu-router-fai
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         fai-server,
         ucf,
Recommends: binutils,
            dialog,
            squashfs-tools,
            xorriso,
Breaks: debian-edu-router,
Replaces: debian-edu-router,
Description: FAI config space (et al.) for the Debian Edu Router system
 The Debian Edu Router project provides installation routines for
 setting up a network router for the Debian Edu system (or for other
 school networks).
 .
 Debian Edu Router uses FAI (Fully Automatic Installation) to install and
 configure the router system.
 .
 Debian Edu Router knows how to interact with the following school IT
 solutions:
 .
   - Debian Edu / Skolelinux
   - MNS+ (common solution of the German state of Rhineland-Palatinate)
 .
 This package contains the FAI config space, installation routines for
 deploying Debian Edu Router system over the http(s):// protocol.

Package: debian-edu-router-deployserver
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         apache2 | httpd,
Description: Deployment server for the Debian Edu Router system
 The Debian Edu Router project provides installation routines for
 setting up a network router for the Debian Edu system (or for other
 school networks).
 .
 Debian Edu Router uses FAI (Fully Automatic Installation) to install and
 configure the router system.
 .
 Debian Edu Router knows how to interact with the following school IT
 solutions:
 .
   - Debian Edu / Skolelinux
   - MNS+ (common solution of the German state of Rhineland-Palatinate)
 .
 This package contains a deployment server setup that one can use to
 deploy multiple Debian Edu Router systems to various school sites.
