## debian-edu-router 2.13.0~beta4

=== debian/changelog ===
debian-edu-router (2.13.0~beta4) unstable; urgency=medium

  [ Mike Gabriel ]
  * ChangeLog: post-release update for 2.13.0~beta3.
  * debian/po/es.po: Update file. Thanks to Camaleón. (Closes: #1102188).
  * debian/po/: Add Portueguese debconf translation. Thanks to Américo Monteiro.
    (Closes: #1101530).
  * debian/po/: Add French debconf translation. Thanks to Jean-Pierre Giraud.
    (Closes: #1061985).
  * debian/copyright: Update copyright attributions.

  [ Daniel Teichmann ]
  * d-e-r-p.c-f.postinst: Do not delete squid snippet file in /etc/.., which
    gets installed by dpkg.
  * d-e-r-p.c-f.postinst: Prepare filterlists.d regardless of if the plugin is
    enabled or not.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 10 Apr 2025 00:16:39 +0200

debian-edu-router (2.13.0~beta3) unstable; urgency=medium

  * Upload to unstable.

  [ Mike Gabriel ]
  * conf/apache2/conf-available/debian-edu-router-deployserver.conf:
    Drop '-deployserver' from download URL of ISOs, squashfs images and FAI
    configspace tarballs.
  * bin/debian-edu-router-fai_mkconfigspacetarball (et al.): Adjust filename of
    the FAI configspace tarball slightly ('.' vs. '_').
  * bin/debian-edu-router-fai_release: Add script. Support building staging
    installer files that can be released on demand.
  * debian/po/:
    + Update template.pot file.
    + Update translation files after templates.pot update.
  * debian/copyright:
    + Update auto-generated copyright.in template file.
    + Update copyright attributions.
  * lintian: Various adjustment for this release.

  [ Daniel Teichmann ]
  * d-e-r-p.mdns-reflector.postinst:  warning_log -> notice_log;  warning_log
    -> error_log;
  * d-e-r-p.c-f: Rename e2guardian-refresh-blacklists related stuff to squid-
    refresh-blacklist or similar.
  * d-e-r-p.c-f.postinst: Rename 'restart_e2guardian_autorefresh_blacklists'
    to 'restart_autorefresh_blacklists'.
  * bin/debian-edu-router_refresh-blacklists.sh: Update copyright header.
  * bin/debian-edu-router_refresh-blacklists.sh: Completely rewrite script.
  * D-E-R-P.C-F: Completely rework selection process of black/whitelist
    categories.
  * bin/debian-edu-router_refresh-generated-ips.sh: Fix small whitespace
    bug in debug_log.
  * d-e-r-p.c-f.postinst: Remove /etc/squid/snippets.d/25_squid_acls.generated_
    d-e-r-p.c-f.conf file, if autogenerate IPs task is turned off.
  * bin/debian-edu-router_acl-watcher.sh: Rewrite script.
  * bin/debian-edu-router_acl-watcher.sh: Update copyright header.
  * d-e-r-p.c-f.postinst: Remove unused ACL debugging comments in Squid config.
  * D-E-R-P.C-F: Remove legacy blacklists.d references and update e2guardian
    list paths.
  * conf/e2guardian/e2guardian{f1.conf,.conf.in}: Update __LISTDIR__ paths.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 28 Mar 2025 23:08:18 +0100

debian-edu-router (2.13.0~beta2) experimental; urgency=medium

  [ Mike Gabriel ]
  * Debian Edu Router code:
    - Prepare for trixie (and for forky, rudimentarily).
    - conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/NFSROOT: Adopt various
      additions/changes from FAI upstream.
  * Packaging:
    + debian/debian-edu-router-plugin.content-filter.lintian-overrides:
      Upload line number of maintainer-script-calls-service override.
    + debian/debian-edu-router-deployserver.dirs: Create dirs exported via
      httpd.
    + debian/control: Use Git repo in Homepage: field for now. (LP:#2100822).

  [ Daniel Teichmann ]
  * Debian Edu Router code:
    - d-e-r-p.c-f: Drop debian-edu-router.conf file into /etc/default/uif.d/;
      Set default FILTER_COMMAND="iptables-legacy".
    - Makefile.iso: Smaller adjustments. Make *-globs more specific.
    - debian/debian-edu-router.common: Add generate_unique_pairs() function.
    - d-e-r-p.m-r.templates: Add templates for Googlecast, Miracast, AirPrint,
      AirPlay, IPP@Everywhere.
    - d-e-r-p.m-r.config: Add statemachine logic for new templates of firewall
      services.
    - d-e-r-p.m-r.postinst: Implement logic for new firewall service questions.
    - d-e-r-p.m-r.postinst: Change logging verbosity to WARNING. Reduces a lot
      of very verbose messages.
    - d-e-r-p.m-r.postinst: Instead of just restarting mdns-reflector, ENABLE +
      RESTART the service.
  * Packaging:
    + debian/control: Fix 'Breaks: ' field of d-e-r-common.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 18 Mar 2025 17:07:27 +0100

debian-edu-router (2.13.0~beta1) experimental; urgency=medium

  * Upload to experimental.

  [ Daniel Teichmann ]
  * Add plugin: debian-edu-router-plugin.mdns-reflector (d-e-r-p-m-r).
  * Add plugin: debian-edu-router-plugin.content-filter (d-e-r-p-c-f).
  * Add plugin: debian-edu-router-plugin.ldap-connector (d-e-r-p-l-c).
  * Add plugin: debian-edu-router-plugins.krb5-connector (d-e-r-p-k-c).
  * Factor-out various functionalities to debian-edu-router-common bin:pkg.
  * Improve logging and debug support.
  * debian/d-e-r.common: Enforce debug msgs if /etc/debian-edu-router/debug was
    found.
  * d-e-r-loginmenu: Introduce plugin support.
  * d-e-r-loginmenu.sh: Stay consistent with unicode triple-dots (…) and
    normal ones (...).
  * loginmenu: Add options which toggle plugin's functionality.
  * loginmenu: Do not skip directly to main menu if in plugin menu.
  * loginmenu: Add option to toggle debug messages.
  * loginmenu: Introduce indicator, if plugin is enabled or not, in the plugin
    submenu.
  * loginmenu: Add 'etckeeper' support for plugins.
  * loginmenu: Add visual way of telling if task of a plugin is activated/
    deactivated.
  * loginmenu: Support showing system logs.
  * loginmenu: Introduce new option to show DHCP leases of dnsmasq.
  * conf/debian-edu-router-plugins/d-e-r-p.example.sh: Add example plugin
    metadata file.
  * debian-edu-router-config: Various refactorings regarding network
    configuration management. (E.g. per-interface dnsmasq service units)

