## debian-edu-router 2.13.0~beta7

=== debian/changelog ===
debian-edu-router (2.13.0~beta7) unstable; urgency=medium

  [ Daniel Teichmann ]
  * debian/debian-edu-router-{config,plugin.mdns-reflector}.templates: Add small
    adjustments.
  * debian/po: Run 'debconf-updatepo'.
  * debian/po/de.po: Completely review german translation file.
  * debian/po/de.po: Manually adjust and fix some german translation strings.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 May 2025 12:56:48 +0200

debian-edu-router (2.13.0~beta6) unstable; urgency=medium

  * debian/*.templates: Fix syntax issues in .templates files of d-e-r-config
    and d-e-r-p.ldap-connector.
  * debian/po/: Regenerate files via debconf-updatepo.
  * lintian: Update line numbers in various overrides, add one more override.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 03 May 2025 15:42:15 +0200

debian-edu-router (2.13.0~beta5) unstable; urgency=medium

  [ Mike Gabriel ]
  * ChangeLog: post-release update.
  * po/es/LC_MESSAGES/: Add Spanish translations for login menu and FAI
    installer (see #1102662).
  * debian/po/: Run debconf-updatepo.

  [ Daniel Teichmann ]
  * *: s/http/HTTP  +  s/https/HTTPS
  * debian/*.templates: Make changes suggested by the review from 'Justin B.
    Rye'. (THANK YOU!!!)
  * po/*.pot: Make changes suggested by the review from 'Justin B. Rye'. (THANK
    YOU!!!)
  * Run './update-pot.sh'.
  * Run './update-po.sh'.
  * debian/po: Run 'debconf-updatepo'.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 02 May 2025 13:57:24 +0200
