## debian-edu-router 2.13.0

=== debian/changelog ===
debian-edu-router (2.13.0) unstable; urgency=medium

  * FINALIZE FOR DEBIAN 13:

  [ Mike Gabriel ]
  * Finalize for inclusion in Debian 13:
    - conf/debian-edu/debian-edu-router-fai.conf: Default to trixie in config.
    - conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/NFSROOT: Adjust
      according to requirements in Debian 12 and Debian 13 FAI.
    - Comment-out development APT repo, hint towards FAI upstream repo (in case
      it's needed).
    - conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/NFSROOT: Move
      memtest86+ to DEBIAN_13-only installation block. We observed problems
      when creating bookworm based FAI installer images during grub.cfg
      creation.
  * Prepare for trying-out Debian 14 once it becomes available:
    - conf/debian-edu/debian-edu-router-fai.conf: Hint that forky is already a
      supported distro codename (in theory).
    - fai/config/class/DEBIAN_{14,forky}.var: Prepare for Debian 14.
    - conf/debian-edu/fai/debian-edu-router-fai.TEMPLATE/apt/sources.list.in:
  * Pre-release clean-ups:
    - fai/config/package_config/NTP_SERVER: Drop NTP_SERVER class, not needed
      (systemd-timesyncd is just fine).
    - fai/config/package_config/{FIREWALL,GATEWAY}: Move uif package into
      GATEWAY class (and drop FIREWALL package config).
    - fai/config/class/z20_debian-edu-router.profile: Drop classes FIREWALL,
      DNS_SERVER, NTP_SERVER. They have been replaced by GATEWAY class a long
      time ago.
  * lintian: Update several overrides to new release.

  * LOCALIZATION:

  [ Mike Gabriel ]
  * Typo fix: Correct the spelling of the word separate.
  * Run debconf-updatepo. (Closes: #1105914).
  * Run debconf-updatepo once again after all translation updates had
    been applied.
  * Update German translation.
  * Fix Portuguese translation. Apply the correct file version
    now.
  * fai/: Mark de_DE.UTF-8 as fully supported languaged in FAI installer.

  [ Carles Pina i Estany ]
  * debian/po: Add po-debconf Catalan translation. (Closes: #1105963).

  [ Camaleón ]
  * po/es: Update Spanish translations. (Closes: #1102662).
  * debian/po/es.po: Update Spanish translation. (Closes: #1104795).

  [ Frans Spiesschaert ]
  * debian/po/nl.po: Update Dutch translation. (Closes: #1103907).

  [ Américo Monteiro ]
  * debian/po/pt.po: Update Portuguese translation. (Closes: #1103447).

  [ Serhii Horichenko ]
  * debian/po/uk.po: Add Ukrainian translation.
  * debian/po/ru.po: Add Russian translation.
  * po/ru: Add initial translation.
  * po/uk: Add initial translation.

  * COPYRIGHT ATTRIBUTIONS:

  [ Mike Gabriel ]
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

  * BUG FIXES:

  [ Mike Gabriel ]
  * conf/systemd/squid_d-e-r-p.k-c.conf: Fix key name (ExecPreStart= ->
    ExecStartPre=).
  * debian/debian-edu-router-plugin.content-filter.postinst: Typo fix in
    variable name (filterlists_file -> filterlist_file).
  * README.md: For ISO image creation instruct to install debian-edu-router-
    fai with --no-install-recommends apt-get option. Otherwise, fai-server
    will pull in various network service (e.g. a DHCP server) which might
    cause unwanted problems on local networks.
  * debian/control: Move utilities for creating FAI installer ISO images
    to Depends: field, so that they even get installed if installing
    debian-edu-router-fai without recommended packages (see entry above).

  * UPSTREAM DEVELOPMENT (REGRESSION FIX / REWRITE):

  [ Mike Gabriel ]
  * Bring back e2guardian filterlist support (and various related fixes)
    if SSL bumping is enabled, support fluent switching between e2guardian
    and squid filterlists:
    - debian/debian-edu-router-plugin.content-filter.{config,templates}:
      Blacklists auto-refreshing is for squid and e2guardian. Mark it as such
      in comments.
    - debian-edu-router_refresh-blacklists.sh: Rename to
      debian-edu-router_refresh-blacklists_squid.sh.
    - bin/debian-edu-router_refresh-blacklists.sh: Re-add, but now as a wrapper
      script.
    - bin/debian-edu-router_refresh-blacklists_e2guardian.sh: Re-add script
      (from commit fcf1c63e).
    - bin/*: Set LANG to 'C.UTF-8', not 'c'.
    - bin/debian-edu-router_refresh-blacklists_e2guardian.sh: Update copyright
      header.
    - bin/debian-edu-router_refresh-blacklists_e2guardian.sh: Various variable
      syntax hardenings.
    - bin/debian-edu-router_refresh-blacklists.sh: In addition to the debian-
      edu-router_refresh-blacklists_squid.sh now also wrap the debian-edu-
      router_refresh-blacklists_e2guardian.sh script.
    - bin/debian-edu-router_refresh-blacklists_e2guardian.sh: Fix spelling
      error in variable name.
    - bin/debian-edu-router_refresh-blacklists_{e2guardian,squid}.sh: Align
      path naming scheme of WORK_DIR.
    - bin/debian-edu-router_refresh-blacklists_{e2guardian,squid}.sh: Align
      path naming schema of SELECTED_CATEGORIES_DIR.
    - bin/debian-edu-router_refresh-blacklists_e2guardian.sh:
      Use LISTS_DIR pathname that can be recognized as e2guardian-specific.
    - Re-introduce data/templates/header_{blacklisted,whitelistd}_categories
      header templates (required for e2guardian filter config generation).
    - bin/debian-edu-router_refresh-blacklists_e2guardian.sh: Rename variable
      and cmdline option (REMOVE_BLACKLIST -> REMOVE_BLACKLISTS,
      --remove-blacklist -> --remove-blacklists).
    - bin/debian-edu-router_refresh-blacklists_{e2guardian,squid}.sh: Use more
      similar path names.
    - bin/debian-edu-router_refresh-blacklists_squid.sh: Use different path for
      squid ACL filterlists and Uni Toulouse derived URL blacklists and
      whitelists.
    - d-e-r-p.c-f: Make filterlists processor (e2guardian vs. squid) depend on
      whether SSL bumping is enabled (then: e2guardian) or disabled (then:
      squid).
    - debian/debian-edu-router-plugin.content-filter.postinst: Use previously

