## debian-edu-router 2.13.2

=== debian/changelog ===
debian-edu-router (2.13.2) unstable; urgency=medium

  * debian/debian-edu-router-plugin.content-filter.postinst: Create SSL MitM CA
    before initializing squid SSL DB:
    With the previous code path, the SSL DB got initialized (which is
    possible without the CA), then SSL MitM CA creation got triggered
    including a clean-up of the SSL DB prior to creating the CA.
    This resulted in SSL DB being wiped again immediately after creation on
    first dpkg --configure run of d-e-r-p.c-f. Re-running dpkg --configure
    of d-e-r-p.c-f would then skip CA generation and finally create the
    squid SSL DB.
    Changing the order of SSL MitM CA creation (first!) and SSL DB creation
    (second!) fixes this issue.
  * lintian: Adjust file numbers in overrides.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 18 Jun 2025 14:49:18 +0200

debian-edu-router (2.13.1) unstable; urgency=medium

  [ Daniel Teichmann ]
  * d-e-r-p.mdns-reflector.postinst: Move uif snippet files
    '60_d-e-r-p.m-r_mDNS'* to '05_d-e-r-p.m-r_mDNS'*.

  [ Mike Gabriel ]
  * po/: Update translation templates and translation files.
  * debian/po: Update files running debconf-updatepo.
  * lintian: Update file lines in .lintian-override files.

  [ Jean-Pierre Giraud ]
  * debian/po/fr.po: Update French debconf translation. (Closes: #1106103).

  [ Camaleón ]
  * debian/po/es.po: Update Spanish translations. (Closes: #1106106).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 16 Jun 2025 10:46:30 +0200
