## debian-edu-router 2.13.3

=== debian/changelog ===
debian-edu-router (2.13.3) unstable; urgency=medium

  [ Mike Gabriel ]
  * po/: Update German translations
  * debian/d-e-r-p.c-f.postinst:
    + In create_squid_config_sslbumping_rules() fix log config block jumping
      between config snippets when enabling/disabling SSL bumping.
    + In create_squid_config_{sslbumping_rules,icap}() attribute '${_i_n_name}'
      variable with 'local'.
    + Always create 20_ICAP-e2guardian_d-e-r-p.c-f_<internal_network>.conf file
      (even if deep content filtering is disabled).
    + Only configure a network's squid daemon to use e2guardian as ICAP filter
      if SSL bumping is enabled for that network's squid service.
    + Only call create_sslmitm_ca() once and call it if SSL bumping is
      configured _or_ transparent proxying.
    + Rework creation of SSL bumping and/or transparent proxy settings in
      network-specific configuration files.
  * debian/d-e-r-p.c-f.config:
    + Fix comments. E2guardian is not doing SSL-MitM stuff.
  * po/:
    - Update German translations
  * debian/copyright: Update copyright attributions.
  * lintian: Update various line numbers in override files.

  [ Daniel Teichmann ]
  * d-e-r-p.c-f.postinst:
    + Add 'TODO:' comment.
    + Add missing comment at Squid's http{s}_port directive for transparent
      proxy mode.

  [ Serhii Horichenko ]
  * .gitignore:
    - Add ignore for *~, *.mo files.
  * po/uk/LC_MESSAGES/:
    - Update  Ukrainian translation.
  * po/ru/LC_MESSAGES/:
    - Update Russian translation.

  [ Frans Spiesschaert ]
  * debian/po/nl.po:
    + Update Dutch translations. (Closes: #1108670).
  * po/nl/LC_MESSAGES/:
    - Add Dutch translations for loginmenu, FAI installer, etc.
  * fai/config/:
    - Add/complete FAI installer support for nl_NL, nl_BE and fr_BE locales.

  [ Américo Monteiro ]
  * debian/po/:
    + Update Portuguese translations. (Closes: #1108132).
  * po/pt/LC_MESSAGES/:
    - Add Portuguese translations for loginmenu, FAI installer, etc. (Closes:
      #1108132).

  [ Camaleón ]
  * po/es/LC_MESSAGES/:
    - Update Spanish translations for loginmenu, FAI installer, etc.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 03 Jul 2025 10:24:47 +0200
