## debian-edu-router 2.13.4

=== debian/changelog ===
debian-edu-router (2.13.4) unstable; urgency=medium

  [ Nuri KÜÇÜKLER ]
  * Turkish translation .po file. (Closes: #1109066).

  [ Paulo Henrique de Lima Santana ]
  * debian/po: Update pt_BR.po. (Closes: #1109100).

  [ Mike Gabriel ]
  * debian/*.lintian-overrides: Glob file lines in overrides for the debconf
    templates file, as they seem to jump around with every build.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 14 Jul 2025 22:37:20 +0200
