## debian-edu-router 2.13.5

=== debian/changelog ===
debian-edu-router (2.13.5) unstable; urgency=medium

  [ Mike Gabriel ]
  * ChangeLog: update post-upload

  [ Nuri KÜÇÜKLER ]
  * Turkish translations for non devconf messages

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 23 Jul 2025 10:58:15 +0200
