=== debian/control ===
--- 
+++ 
@@ -88,12 +88,14 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
+         binutils,
+         dosfstools,
+         dialog,
          fai-server,
+         mtools,
+         squashfs-tools,
          ucf,
-Recommends: binutils,
-            dialog,
-            squashfs-tools,
-            xorriso,
+         xorriso,
 Pre-Depends: ${misc:Pre-Depends},
              debian-edu-router-common (>= ${source:Version}),
              debian-edu-router-common (<< ${source:Version}.1~),
