=== debian/rules ===
--- 
+++ 
@@ -39,20 +39,34 @@
 	### locale files
 	###
 
-	# first, some locale related clean-ups...
-	rm debian/*/usr/share/locale/LINGUAS
-	rm debian/*/usr/share/locale/*.pot
-	rm debian/*/usr/share/locale/*.in
-	rm debian/debian-edu-router-config/usr/share/locale/*/LC_MESSAGES/debian-edu-router-fai.po
-	rm debian/debian-edu-router-fai/usr/share/locale/*/LC_MESSAGES/debian-edu-router-config.po
+	# Create .mo files from .po files...
+	for pkgsuffix in config fai-l10n plugin.content-filter plugin.mdns-reflector plugin.ldap-connector plugin.krb5-connector; do \
+	    domainsuffix="$$(echo $${pkgsuffix} | sed -e "s/-l10n//")"; \
+	    cd po/; \
+	    find * -name "debian-edu-router-$${domainsuffix}.po" | while read pofile; do \
+	        mkdir -p "../debian/debian-edu-router-$${pkgsuffix}/usr/share/locale/$$(dirname $${pofile})/"; \
+	        cp "$${pofile}" "../debian/debian-edu-router-$${pkgsuffix}/usr/share/locale/$$(dirname $${pofile})/"; \
+	    done; \
+	    cd - 1>/dev/null; \
+	    cd debian/debian-edu-router-$${pkgsuffix}/usr/share/locale/; \
+	    find * -name "*.po" | while read pofile; do \
+	        sed -i $${pofile} -Ee "s/(^\"Project-Id-Version: )(PACKAGE VERSION)(.*\")/\\1$(VER)\\3/"; \
+	        msgfmt --check -o $${pofile/.po/.mo} $${pofile}; \
+	    done; \
+	    cd - 1>/dev/null; \
+	done
 
+	# Drop *.po files finally from installation target.
+	find debian/*/usr/share/locale/ -name "*.po" -delete
 
-	# then, create .mo files (and drop .po files)
-	find debian/*/usr/share/locale/ -name "*.po" | while read pofile; do \
-	    sed -i $${pofile} -Ee "s/(^\"Project-Id-Version: )(PACKAGE VERSION)(.*\")/\\1$(VER)\\3/"; \
-	    msgfmt --check -o $${pofile/.po/.mo} $${pofile}; \
-	done
-	find debian/*/usr/share/locale/ -name "*.po" -delete
+	# Finally, move the .mo files for debian-edu-router-fai to /var/lib/locale.
+	# This is a hack for tricking fai-cd which leaves /usr/share/locale empty.
+	# During fai/config/class/30-locales we inject these .mo files back into
+	# /usr/share/locale/ of the FAI installer environment.
+	mkdir debian/debian-edu-router-fai-l10n/var/lib/locale/ -p
+	mv debian/debian-edu-router-fai-l10n/usr/share/locale/* \
+	   debian/debian-edu-router-fai-l10n/var/lib/locale/
+	rmdir debian/debian-edu-router-fai-l10n/usr/share/locale/
 
 	# and, rename shell files and drop .sh suffix
 	find debian/*/usr/sbin/ -name "*.sh" | while read shfile; do \
